Quick Query
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Quick Query service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
| Version | Status | Supported Until |
|---|
OpenAPI URL
https://quick-query.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - CheckClusterResourceSizeForQuickQuery
1.1.1 - 1.1
post /v1/quick-query/validate-resources
Description
Check if resource is verified to be modified/created
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
Example HTTP request
Request path
/v1/quick-query/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
{
"cluster_id": "",
"node_pool_validation_request": [
{
"auto_scale": "",
"desired_node_count": "",
"max_node_count": "",
"min_node_count": "",
"scale_name": ""
}
],
"quick_query_engine_request": {
"auto_scale": "",
"cluster_size": "",
"cpu": "",
"is_engine_type_private": "",
"memory": "",
"replica": ""
}
}
Example HTTP response
Response 200
{
"min_spec_node_pool": [
{
"cpu": "",
"is_node_pool_auto_scalable": "",
"memory": "",
"replica": ""
}
],
"result": ""
}
1.1.2 - 1.0
post /v1/quick-query/validate-resources
Description
Check if resource is verified to be modified/created
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
Responses
Example HTTP request
Request path
/v1/quick-query/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
{
"cluster_id": "",
"node_pool_validation_request": [
{
"auto_scale": "",
"desired_node_count": "",
"max_node_count": "",
"min_node_count": "",
"scale_name": ""
}
],
"quick_query_engine_request": {
"auto_scale": "",
"cluster_size": "",
"cpu": "",
"is_engine_type_private": "",
"memory": "",
"replica": ""
}
}
Example HTTP response
Response 200
{
"min_spec_node_pool": [
{
"cpu": "",
"is_node_pool_auto_scalable": "",
"memory": "",
"replica": ""
}
],
"result": ""
}
1.2 - CheckDuplicationQuickQueryName
1.2.1 - 1.1
get /v1/quick-query/{quick_query_name}/check-duplication
Description
Check Duplication Quick Query Name. (false: no duplicate value, true: duplicate value)
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_name required | quick query name Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Example HTTP response
Response 200
1.2.2 - 1.0
get /v1/quick-query/{quick_query_name}/check-duplication
Description
Check Duplication Quick Query Name. (false: no duplicate value, true: duplicate value)
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_name required | quick query name Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Example HTTP response
Response 200
1.3 - CreateQuickQuery
1.3.1 - 1.1
post /v1/quick-query
Description
Create Quick Query.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
{
"kubernetes_engine_create_request": {
"cifs_volume_id": "",
"cloud_logging_enabled": "",
"k8s_version": "",
"kubernetes_engine_name": "",
"lb_id": "",
"public_acl_ip_address": "",
"security_group_id_list": [
""
],
"subnet_id": "",
"tags": [],
"volume_id": "",
"vpc_id": ""
},
"node_pool_create_requests": [
{
"auto_recovery": false,
"auto_scale": false,
"desired_node_count": "",
"image_os": "",
"image_os_version": "",
"k8s_version": "",
"keypair_name": "",
"max_node_count": "",
"min_node_count": "",
"name": "",
"scale_name": "",
"volume_size": "",
"volume_type_name": ""
}
],
"quick_query_create_request": {
"description": "",
"domain": "",
"dsc_console_ip": "",
"dsc_domain": "",
"host_alias_list": [],
"image_id": "",
"instance_id": "",
"is_engine_type_private": "",
"max_query": "",
"product_group_id": "",
"query_engine_spec": {
"auto_scale": "",
"cluster_size": "",
"cpu": "",
"memory": "",
"replica": ""
},
"quick_query_name": "",
"version": ""
},
"tags": []
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.3.2 - 1.0
post /v1/quick-query
Description
Create Quick Query.
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
{
"kubernetes_engine_create_request": {
"cifs_volume_id": "",
"cloud_logging_enabled": "",
"k8s_version": "",
"kubernetes_engine_name": "",
"lb_id": "",
"public_acl_ip_address": "",
"security_group_id_list": [
""
],
"subnet_id": "",
"tags": [],
"volume_id": "",
"vpc_id": ""
},
"node_pool_create_requests": [
{
"auto_recovery": false,
"auto_scale": false,
"desired_node_count": "",
"image_os": "",
"image_os_version": "",
"k8s_version": "",
"keypair_name": "",
"max_node_count": "",
"min_node_count": "",
"name": "",
"scale_name": "",
"volume_size": "",
"volume_type_name": ""
}
],
"quick_query_create_request": {
"description": "",
"domain": "",
"dsc_console_ip": "",
"dsc_domain": "",
"host_alias_list": [],
"image_id": "",
"instance_id": "",
"is_engine_type_private": "",
"max_query": "",
"product_group_id": "",
"query_engine_spec": {
"auto_scale": "",
"cluster_size": "",
"cpu": "",
"memory": "",
"replica": ""
},
"quick_query_name": "",
"version": ""
},
"tags": []
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.4 - DeleteQuickQuery
1.4.1 - 1.1
delete /v1/quick-query/{quick_query_id}
Description
delete quick query
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.4.2 - 1.0
delete /v1/quick-query/{quick_query_id}
Description
delete quick query
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.5 - ListQuickQuery
1.5.1 - 1.1
get /v1/quick-query
Description
get quick query list console
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | sort optional | sort Example : created_at:desc
| string | created_dt:desc |
| query | cluster_name optional | cluster_name Example :
| string | None |
| query | created_by optional | created_by Example :
| string | None |
| query | quick_query_state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example :
| string | None |
| query | quick_query_name optional | quick_query_name Example :
| string | None |
| query | size required | size Example : 20
| integer | None |
| query | page required | page Example : 0
| integer | None |
Responses
Example HTTP request
Request path
/v1/quick-query?size={size}&page={page}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:43:39.523Z",
"modified_by": "",
"modified_dt": "",
"quick_query_id": "",
"quick_query_name": "",
"quick_query_state": "",
"quick_query_version": ""
}
],
"page": "",
"size": "",
"sort": [
""
],
"total_count": ""
}
1.5.2 - 1.0
get /v1/quick-query
Description
get quick query list console
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | sort optional | sort Example : created_at:desc
| string | created_dt:desc |
| query | cluster_name optional | cluster_name Example :
| string | None |
| query | created_by optional | created_by Example :
| string | None |
| query | quick_query_state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example :
| string | None |
| query | quick_query_name optional | quick_query_name Example :
| string | None |
| query | size required | size Example : 20
| integer | None |
| query | page required | page Example : 0
| integer | None |
Responses
Example HTTP request
Request path
/v1/quick-query?size={size}&page={page}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:43:39.305Z",
"modified_by": "",
"modified_dt": "",
"quick_query_id": "",
"quick_query_name": "",
"quick_query_state": "",
"quick_query_version": ""
}
],
"page": "",
"size": "",
"sort": [
""
],
"total_count": ""
}
1.6 - ListQuickQueryImages
1.6.1 - 1.1
get /v1/quick-query/image-versions
Description
get quick query image versions
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/image-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
1.6.2 - 1.0
get /v1/quick-query/image-versions
Description
get quick query image versions
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/image-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
1.7 - ShowQuickQuery
1.7.1 - 1.1
get /v1/quick-query/{quick_query_id}
Description
Get Quick Query details.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Example HTTP response
Response 200
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:43:39.613Z",
"description": "",
"domain": "",
"dsc_console_domain": "",
"dsc_domain": "",
"dsc_oidc_domain": "",
"host_alias_list": [
{}
],
"hosts_file": "",
"is_active_image": "",
"is_engine_type_private": "",
"max_query": "",
"modified_dt": "2026-02-11T06:43:39.613Z",
"namespace_name": "",
"node_information": [],
"provisioning_state": "",
"query_engine_spec": "",
"quick_query_id": "",
"quick_query_name": "",
"quick_query_state": "",
"quick_query_version": ""
}
1.7.2 - 1.0
get /v1/quick-query/{quick_query_id}
Description
Get Quick Query details.
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Example HTTP response
Response 200
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:43:39.396Z",
"description": "",
"domain": "",
"dsc_console_domain": "",
"dsc_domain": "",
"dsc_oidc_domain": "",
"host_alias_list": [
{}
],
"hosts_file": "",
"is_active_image": "",
"is_engine_type_private": "",
"max_query": "",
"modified_dt": "2026-02-11T06:43:39.396Z",
"namespace_name": "",
"node_information": [],
"provisioning_state": "",
"query_engine_spec": "",
"quick_query_id": "",
"quick_query_name": "",
"quick_query_state": "",
"quick_query_version": ""
}
1.8 - UpdateQuickQueryDescription
1.8.1 - 1.1
put /v1/quick-query/{quick_query_id}/description
Description
update quick query description
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
Example HTTP response
Response 202
{
"description": "",
"quick_query_id": ""
}
1.8.2 - 1.0
put /v1/quick-query/{quick_query_id}/description
Description
update quick query description
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
Responses
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
Example HTTP response
Response 202
{
"description": "",
"quick_query_id": ""
}
1.9 - UpdateQuickQueryDomain
1.9.1 - 1.1
put /v1/quick-query/{quick_query_id}/domain
Description
update quick query domain
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryDomainRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/domain
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.9.2 - 1.0
put /v1/quick-query/{quick_query_id}/domain
Description
update quick query domain
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryDomainRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/domain
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.10 - UpdateQuickQueryDscDomain
1.10.1 - 1.1
put /v1/quick-query/{quick_query_id}/dsc-domain
Description
update quick query dsc domain
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryDscDomainRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/dsc-domain
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.10.2 - 1.0
put /v1/quick-query/{quick_query_id}/dsc-domain
Description
update quick query dsc domain
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryDscDomainRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/dsc-domain
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.11 - UpdateQuickQueryEngine
1.11.1 - 1.1
put /v1/quick-query/{quick_query_id}/engine
Description
update quick query engine
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/engine
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
{
"cluster_size": "",
"cpu": "",
"memory": "",
"replica": ""
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.11.2 - 1.0
put /v1/quick-query/{quick_query_id}/engine
Description
update quick query engine
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/engine
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
{
"cluster_size": "",
"cpu": "",
"memory": "",
"replica": ""
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.12 - UpdateQuickQueryHostAlias
1.12.1 - 1.1
put /v1/quick-query/{quick_query_id}/host-alias
Description
update quick query host alias
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryHostAliasRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/host-alias
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
{
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
]
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
1.12.2 - 1.0
put /v1/quick-query/{quick_query_id}/host-alias
Description
update quick query host alias
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | quick_query_id required | quick_query_id Example :
| string | None |
| body | body required |
| QuickQueryHostAliasRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/host-alias
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
{
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
]
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
2 - Models
2.1 - AsyncResponse
| Name | Description | Schema | Default |
|---|
project_id required | Project ID Example : 10a599e031e749b7b260868f441e862b
| any of [string, null] | |
request_id required | Request ID Example : 10a599e031e749b7b260868f441e862b
| string | |
resource_id required | Resource ID Example : 10a599e031e749b7b260868f441e862b
| string | |
2.2 - CheckResponse
| Name | Description | Schema | Default |
|---|
result required | check result Example :
| boolean | |
2.3 - HostAliasList
| Name | Description | Schema | Default |
|---|
hostnames optional | hostnames
| array[string] | |
ip optional | ip Example :
| string | |
2.4 - ImageAttr
| Name | Description | Schema | Default |
|---|
image_attr required | image_attr
| QuickQueryImageAttr | |
image_id required | image_id Example :
| string | |
image_name required | image_name Example :
| string | |
version required | version Example :
| string | |
2.5 - ImageVersionsResponse
| Name | Description | Schema | Default |
|---|
contents required | contents
| array[ImageAttr] | |
total_count required | total_count Example :
| integer | |
2.6 - InternalNodeSummary
| Name | Description | Schema | Default |
|---|
age required | age Example :
| string | |
cluster_id required | cluster id Example :
| string | |
container_version required | Container Version Example :
| any of [string, null] | |
created_at required | created at Example :
| string (date-time) | |
external_ip_address required | External IP Address Example :
| any of [string, null] | |
gpu_name required | GPU Name Example :
| any of [string, null] | |
ip required | IP Example :
| any of [string, null] | |
kernel_version required | Kernel Version Example :
| any of [string, null] | |
kubernetes_version required | Kubernetes Version Example :
| any of [string, null] | |
name required | name Example :
| string | |
node_capacities required | Node Capacities
| array[NodeCapacity] | |
node_status required | node status Example :
| string | |
number_of_allocated_pods required | Number of allocated pods Example :
| string | |
number_of_gpu required | Number of GPU Example :
| any of [integer, null] | |
os_image required | OS Image Example :
| any of [string, null] | |
uid required | uid Example :
| string | |
2.7 - KubernetesEngineCreateRequest
| Name | Description | Schema | Default |
|---|
cifs_volume_id optional | cifs_volume_id Example :
| any of [string, null] | |
cloud_logging_enabled required | cloud_logging_enabled Example :
| boolean | |
k8s_version required | k8s_version Example :
| string | |
kubernetes_engine_name required | kubernetes_engine_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
lb_id optional | lb_id Example :
| any of [string, null] | |
public_acl_ip_address optional | public_acl_ip_address Example :
| any of [string, null] | |
security_group_id_list required | security_group_id_list
| array[string] | |
subnet_id required | subnet_id Example :
| string | |
tags optional | tags
| array[Tag] | |
volume_id required | volume_id Example :
| string | |
vpc_id required | vpc_id Example :
| string | |
2.8 - NodeCapacity
| Name | Description | Schema | Default |
|---|
cpu required | CPU Example :
| string | |
ephemeral_storage required | Ephemeral Storage Example :
| string | |
gpu optional | GPU Example :
| any of [string, null] | |
hugepages_1Gi required | Hugepages 1Gi Example :
| string | |
hugepages_2Mi required | Hugepages 2Mi Example :
| string | |
memory required | Memory Example :
| string | |
node_capacity_type required | Node Capacity Type Example :
| string | |
pod_count required | Pod Count Example :
| string | |
2.9 - NodePoolCreateRequest
| Name | Description | Schema | Default |
|---|
auto_recovery optional | is_auto_recovery Example : False
| boolean | |
auto_scale optional | is_auto_scale Example : False
| boolean | |
desired_node_count optional | desired_node_count Example :
| any of [integer, null] | |
image_os required | image_os Example :
| string | |
image_os_version required | image_os_version Example :
| string | |
k8s_version required | k8s_version Example :
| string | |
keypair_name required | keypair_name Example :
| string | |
max_node_count optional | max_node_count Example :
| any of [integer, null] | |
min_node_count optional | min_node_count Example :
| any of [integer, null] | |
name required | name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 20
| string | |
scale_name required | scale_name Example :
| string | |
volume_size required | volume_size Example : Minimum : 104 Maximum : 1000
| integer | |
volume_type_name required | volume_type_name Example :
| string | |
2.10 - NodePoolResourceValidationRequest
| Name | Description | Schema | Default |
|---|
auto_scale required | auto_scale Example :
| boolean | |
desired_node_count required | desired_node_count Example :
| integer | |
max_node_count optional | max_node_count Example :
| any of [integer, null] | |
min_node_count optional | min_node_count Example :
| any of [integer, null] | |
scale_name required | scale_name Example :
| string | |
2.11 - NodePoolSpecResponse
| Name | Description | Schema | Default |
|---|
cpu optional | cpu Example :
| string | |
is_node_pool_auto_scalable required | is_node_pool_auto_scalable Example :
| boolean | |
memory optional | memory Example :
| string | |
replica optional | replica Example :
| string | |
2.12 - QueryEngineSpec
| Name | Description | Schema | Default |
|---|
auto_scale optional | auto_scale Example :
| any of [boolean, null] | |
cluster_size optional | cluster_size Example :
| any of [string, null] | |
cpu optional | cpu Example : Pattern : ^(0|4|6|8|10|12|14|16|18|20|22|24)$
| any of [string, null] | |
memory optional | memory Example : Pattern : ^(0|8|16|32|64|128|192|256)$
| any of [string, null] | |
replica optional | replica Example : Pattern : ^(0|1|2|3|4|5|6|7|8|9)$
| any of [string, null] | |
2.13 - QuickQueryCreateRequest
| Name | Description | Schema | Default |
|---|
description optional | description Example :
| any of [string, null] | |
domain required | domain Example : Minimum length : 3 Maximum length : 50
| string | |
dsc_console_ip optional | dsc_console_ip Example :
| any of [string, null] | |
dsc_domain required | dsc_domain Example : Minimum length : 3 Maximum length : 50
| string | |
host_alias_list optional | host_alias_list
| array[HostAliasList] | |
image_id required | image_id Example :
| string | |
instance_id optional | instance_id Example :
| any of [string, null] | |
is_engine_type_private required | is_engine_type_private Example :
| boolean | |
max_query required | max_query Example : Pattern : ^(32|64|96|128)$
| string | |
product_group_id optional | product_group_id Example :
| any of [string, null] | |
query_engine_spec required | query_engine_spec
| QueryEngineSpec | |
quick_query_name required | quick_query_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
version required | version Example :
| string | |
2.14 - QuickQueryDescriptionRequest
| Name | Description | Schema | Default |
|---|
description required | description Example :
| string | |
2.15 - QuickQueryDescriptionResponse
| Name | Description | Schema | Default |
|---|
description required | description Example :
| string | |
quick_query_id required | quick_query_id Example :
| string | |
2.16 - QuickQueryDetailResponse
| Name | Description | Schema | Default |
|---|
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| object | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_dt required | created_dt Example :
| string (date-time) | |
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| string | |
dsc_console_domain optional | dsc_console_domain Example :
| any of [string, null] | |
dsc_domain optional | dsc_domain Example :
| string | |
dsc_oidc_domain optional | dsc_oidc_domain Example :
| any of [string, null] | |
host_alias_list optional | domain
| array[object] | |
hosts_file optional | hosts_file Example :
| any of [string, null] | |
is_active_image optional | is_active_image Example :
| boolean | |
is_engine_type_private optional | is_engine_type_private Example :
| boolean | |
max_query optional | max_query Example :
| string | |
modified_dt required | modified_dt Example :
| string (date-time) | |
namespace_name optional | namespace_name Example :
| string | |
node_information optional | node_information
| array[InternalNodeSummary] | |
provisioning_state required | provisioning_state Example :
| string | |
query_engine_spec optional | query_engine_spec Example :
| object | |
quick_query_id required | quick_query_id Example :
| string | |
quick_query_name required | quick_query_name Example :
| string | |
quick_query_state required | quick_query_state Example :
| string | |
quick_query_version required | quick_query_version Example :
| string | |
2.17 - QuickQueryDomainRequest
| Name | Description | Schema | Default |
|---|
domain required | domain Example :
| string | |
2.18 - QuickQueryDscDomainRequest
| Name | Description | Schema | Default |
|---|
dsc_domain required | dsc_domain Example :
| string | |
2.19 - QuickQueryEngineRequest
| Name | Description | Schema | Default |
|---|
auto_scale optional | auto_scale Example :
| boolean | |
cluster_size optional | cluster_size Example :
| any of [string, null] | |
cpu optional | cpu Example :
| any of [string, null] | |
is_engine_type_private optional | is_engine_type_private Example :
| boolean | |
memory optional | memory Example :
| any of [string, null] | |
replica optional | replica Example :
| any of [string, null] | |
2.20 - QuickQueryHostAliasRequest
| Name | Description | Schema | Default |
|---|
host_alias_list optional | host_alias_list
| array[HostAliasList] | |
2.21 - QuickQueryImageAttr
| Name | Description | Schema | Default |
|---|
k8s.version optional | k8s_version Example :
| string | |
os.type optional | os_type Example :
| string | |
2.22 - QuickQueryListResponse
| Name | Description | Schema | Default |
|---|
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| any of [string, null] | |
cluster_permission optional | cluster_permission Example :
| object | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_by required | created_by Example :
| string | |
created_dt required | created_at Example :
| string (date-time) | |
modified_by optional | modified_by Example :
| any of [string, null] | |
modified_dt optional | modified_at Example :
| any of [string (date-time), null] | |
quick_query_id required | quick_query_id Example :
| string | |
quick_query_name required | quick_query_name Example :
| string | |
quick_query_state required | quick_query_state Example :
| string | |
quick_query_version required | quick_query_version Example :
| string | |
2.23 - QuickQueryListSearchResponse
| Name | Description | Schema | Default |
|---|
contents required | contents
| array[QuickQueryListResponse] | |
page required | page Example :
| integer | |
size required | size Example :
| integer | |
sort required | sort
| array[string] | |
total_count required | total_count Example :
| integer | |
2.24 - QuickQueryTotalCreateRequest
2.25 - QuickQueryUpdateEngineRequest
| Name | Description | Schema | Default |
|---|
cluster_size optional | cluster_size Example :
| any of [string, null] | |
cpu required | cpu Example :
| string | |
memory required | memory Example :
| string | |
replica required | replica Example :
| string | |
2.26 - QuickQueryValidateResourceRequest
2.27 - QuickQueryValidateResourceResponse
| Name | Description | Schema | Default |
|---|
min_spec_node_pool optional | min_spec_node_pool
| array[NodePoolSpecResponse] | |
result required | result Example :
| boolean | |
2.28 - Tag
| Name | Description | Schema | Default |
|---|
tag_key required | tag_key Example : Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$ Maximum length : 128
| string | |
tag_value optional | tag_value Example : Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$ Maximum length : 256
| string | |